
ACME INDUSTRY CO.,LTD. - Parent project #916

[PJ240039] Label roll

11 Apr 2025 11:36 - Karnthida Wannasiwaporn

Status: Closed Start date: 11 Apr 2025

Priority: Normal Due date:  

Assignee:  Spent time: 0.00 hour

Description

History

#1 - 11 Apr 2025 11:37 - Karnthida Wannasiwaporn

- Status changed from In Progress to New

#2 - 30 Oct 2025 09:33 - Siriwilai Chaiwattanaphon

- Status changed from New to Closed
